OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
Interface

# Interface_CopyMap Class Reference

Manages a Map for the need of single Transfers, such as Copies
In such transfer, Starting Entities are read from a unique
Starting Model, and each transferred Entity is bound to one
and only one Result, which cannot be changed later.
.

`#include <Interface_CopyMap.hxx>`

Inheritance diagram for Interface_CopyMap:

[legend]

## Public Member Functions
Standard_EXPORT | Interface_CopyMap (const Handle(Interface_InterfaceModel)&amodel)
| Creates a CopyMap adapted to work from a Model .
Standard_EXPORT void | Clear ()
| Clears Transfer List. Gets Ready to begin another Transfer .
Standard_EXPORT Handle_Interface_InterfaceModel | Model () const
| Returns the InterfaceModel used at Creation time .
Standard_EXPORT void | Bind (const Handle(Standard_Transient)&ent, const Handle(Standard_Transient)&res)
| Binds a Starting Entity identified by its Number <num> in the Starting Model, to a Result of Transfer <res> .
Standard_EXPORT Standard_Boolean | Search (const Handle(Standard_Transient)&ent, Handle(Standard_Transient)&res) const
| Search for the result of a Starting Object (i.e. an Entity, identified by its Number <num> in the Starting Model) Returns True if a Result is Bound (and fills <res>) Returns False if no result is Bound (and nullifies <res>) .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_Interface_InterfaceModel | themod
TColStd_Array1OfTransient | theres

## Constructor & Destructor Documentation

Standard_EXPORT Interface_CopyMap::Interface_CopyMap | ( | const Handle(Interface_InterfaceModel)& | amodel | ) |

## Member Function Documentation

Standard_EXPORT void Interface_CopyMap::Bind | ( | const Handle(Standard_Transient)& | ent,
|  | const Handle(Standard_Transient)& | res
| ) | `[virtual]`

| Implements Interface_CopyControl.

Standard_EXPORT void Interface_CopyMap::Clear | ( |  | ) | `[virtual]`

| Implements Interface_CopyControl.

Standard_EXPORT const Interface_CopyMap::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Interface_CopyControl.

Standard_EXPORT Handle_Interface_InterfaceModel Interface_CopyMap::Model | ( |  | ) | const

Standard_EXPORT Standard_Boolean Interface_CopyMap::Search | ( | const Handle(Standard_Transient)& | ent,
|  | Handle(Standard_Transient)& | res
| ) | const`[virtual]`

| Implements Interface_CopyControl.

## Field Documentation

Handle_Interface_InterfaceModel Interface_CopyMap::themod`[private]`

TColStd_Array1OfTransient Interface_CopyMap::theres`[private]`

The documentation for this class was generated from the following file:

- Interface_CopyMap.hxx